import { TemplateRef } from '@angular/core';
import { RStepperComponent } from './stepper.component';
export declare class RStepComponent {
    protected stepper: RStepperComponent;
    /**
     * Step content
     *
     * @type {TemplateRef}
     */
    content: TemplateRef<any>;
    /**
     * Top level abstract control of the step
     */
    stepControl?: {
        valid: boolean | null;
        reset: () => void;
    };
    /**
     * Step label
     *
     * @type {string|TemplateRef<any>}
     */
    label: string | TemplateRef<any>;
    /**
     * Whether step will be displayed in wizard
     *
     * @type {boolean}
     */
    get hidden(): boolean;
    set hidden(value: boolean);
    protected _hidden: boolean;
    static ngAcceptInputType_hidden: any;
    /**
     * Check that label is a TemplateRef.
     *
     * @return boolean
     * */
    get isLabelTemplate(): boolean;
    /**
     * Whether step is marked as completed.
     *
     * @type {boolean}
     */
    get completed(): boolean;
    set completed(value: boolean);
    protected _completed: boolean;
    static ngAcceptInputType_completed: any;
    protected get isCompleted(): boolean;
    interacted: boolean;
    constructor(stepper: any);
    /**
     * Mark step as selected
     * */
    select(): void;
    /**
     * Reset step and stepControl state
     * */
    reset(): void;
}
